{Header:GtkMemoryWaveBuffer,gtkeditablewavebuffer.html,gtktempfilewavebuffer.html}
<P>
GtkMemoryWaveBuffer is a wavebuffer class that stores wave information in
memory.  It is derived from <A HREF="gtkwavebuffer.html">GtkWaveBuffer</A>
and <A HREF="gtkeditablewavebuffer.html">GtkEditableWaveBuffer</A>.
</P>

Member functions:

{FuncStart}
GtkType    gtk_memory_wave_buffer_get_type (void);
{FuncStop}

Standard Gtk+ function returns GtkType of GtkMemoryWaveBuffer class.

<P><HR NOSHADE></P>

{FuncStart}
GtkObject *gtk_memory_wave_buffer_new   (guint16           n_channels,
                                         GtkWaveBufferType d_type,
                                         guint32           rate,
                                         guint32           length);
{FuncStop}

Create a new wavebuffer object stored in memory given number of channels,
data type, rate, and number of frames (length).  The new data is
zeroed out as appropriate for the data type.

<BR><BR>

{Footer}
